var g_oTiskWindow = null;
var g_sVarSymbol  = "";
var g_sKonstSymbol = "0308";
var g_nCelkem  = 0;
var g_nKusu    = 0;

var g_prod = new Array(
"Manipulan poplatek - dobrka", 50,
"Manipulan poplatek - zsilka", 20,
"Program Autouniverzita - sleva 15% pro CHIP", 502,
"Program Zbrojn prkaz", 390,
"Kolem kolem Novho Zlandu", 199
);

function OutCell()
{
  var element = window.event.srcElement;
  while(element.tagName != "TD") 
    element = element.parentElement;
  element.style.backgroundImage = "url(./img/tlac.gif)";
}

function OverCell()
{
  var element = window.event.srcElement;
  while(element.tagName != "TD") 
    element = element.parentElement;
  element.style.background = "url(./img/tlac_sel.gif)";
}

function CheckObjednavkuPh()
{
  if (document.objednavka.Jmeno.value.length > 0 || document.objednavka.Firma.value.length > 0)
  {
    if (document.objednavka.Tel.value.length > 0 || 
            document.objednavka.Fax.value.length > 0 || 
            document.objednavka.Email.value.length > 0)
      {      
      SendObjednavkuPh();
      return (true);
      }
    else
    {
      if (confirm('Nezadali jste telefon, fax ani e-mail. Chcete pesto objednvku odeslat?'))
        {
        SendObjednavkuPh();
        return (true);
        }
      else
        return(false);
     }
   } 
   else 
   {
      alert ('Zadejte jmno nebo firmu!');
      return (false);
   }
}

function SendObjednavkuPh()
{
  var sAction="mailto:info@turbina.cz"+"?";
  sAction+="&Subject=Objednavka";
  sAction+="&body=" + document.body.value;
  document.objednavka.action=sAction;
}


function onPlatbaChanged(nIndex)
{
  switch(nIndex)
  {
    case 0:
      idDobirka.className = "expanded";
      idZaloha.className  = "collapsed";
      idPrevod.className  = "collapsed";
      break;
    case 1:
      idDobirka.className = "collapsed";
      idZaloha.className  = "expanded";
      idPrevod.className  = "collapsed";
      break;
    case 2:
      idDobirka.className = "collapsed";
      idZaloha.className  = "collapsed";
      idPrevod.className  = "expanded";
      break;
  }
}

function fnValidateValueCommon(sTisk)
{
  if (document.objednavka.AU.value == "" && document.objednavka.NZ.value == "")	
  {
    alert('Zadejte alespo jeden produkt!');
    document.objednavka.AU.focus();
    return false;
  }
  if (document.objednavka.AU.value != "" && (parseInt(document.objednavka.AU.value) <= 0 || isNaN(document.objednavka.AU.value)))
  {
    alert('Zadejte poet kus slem!');
    document.objednavka.AU.focus();
    return false;
  }
  if (document.objednavka.NZ.value != "" && (parseInt(document.objednavka.NZ.value) <= 0 || isNaN(document.objednavka.NZ.value)))
  {
    alert('Zadejte poet kus slem!');
    document.objednavka.NZ.focus();
    return false;
  }

  if(document.objednavka.Firma.value == "" && document.objednavka.Jmeno.value == "")
  {
    alert('Zadejte jmno nebo firmu!');
    document.objednavka.Jmeno.focus();
    return false;
  }
  if(document.objednavka.Ulice.value == "")
  {
    alert('Zadejte ulici!');
    document.objednavka.Ulice.focus();
    return false;
  }
  if(document.objednavka.Obec.value == "")
  {
    alert('Zadejte obec!');
    document.objednavka.Obec.focus();
    return false;
  }
  if(document.objednavka.PSC.value == "")
  {
    alert('Zadejte PS!');
    document.objednavka.PSC.focus();
    return false;
  }
  if(document.objednavka.PSC.value.length != 5)
  {
    alert('Zadejte PS jako ptimstn slo!');
    document.objednavka.PSC.focus();
    return false;
  }

  var checkOK   = "0123456789";
  var checkStr  = document.objednavka.PSC.value;
  var bValid    = true;
  var decPoints = 0;
  var allNum = "";
  for(i = 0;  i < checkStr.length;  i++)
  {
    ch = checkStr.charAt(i);
    for(j = 0;  j < checkOK.length;  j++)
      if(ch == checkOK.charAt(j))
        break;
    if(j == checkOK.length)
    {
      bValid = false;
      break;
    }
    allNum += ch;
  }
  if(!bValid)
  {
    alert("Zadejte pouze slice.");
    document.objednavka.PSC.focus();
    return false;
  }

  if(sTisk != "tisk" && document.objednavka.Tel.value == "" && document.objednavka.Fax.value == "" && document.objednavka.Email.value == "")
  {
    if(confirm('Nezadali jste telefon, fax ani e-mail. Chcete pesto objednvku odeslat?'))
      return true;
    else
    {
      document.objednavka.Tel.focus();
      return false;
    }
  }
  return true;
}

function fnValidateValueDobirka()
{
  return true;
}

function fnValidateValueZaloha()
{
  return true;
}

function fnValidateValuePrevod()
{
  return true;
}


function fnValidateValue(sTisk)
{
  g_sVarSymbol = fnGenVarSymbol();
  g_nCelkem    = fnCelkovaCastka();

  var bValid = fnValidateValueCommon(sTisk);
  if(!bValid)
    return bValid;

  if(document.objednavka.Platba.value == "dobirka")
    bValid = fnValidateValueDobirka();
  else if(document.objednavka.Platba.value == "faktura")
    bValid = fnValidateValueZaloha();
  else if(document.objednavka.Platba.value == "prevod")
    bValid = fnValidateValuePrevod();
  else
    bValid = false;

  return true;
}

function fnCelkovaCastka()
{
  var celkem = 0;
  g_nKusu = 0;

  if(document.objednavka.AU.value > 0)
  {
    celkem += g_prod[5] * parseInt(document.objednavka.AU.value);
    g_nKusu += parseInt(document.objednavka.AU.value);
  }

  if(document.objednavka.ZP.value > 0)
  {
    celkem += g_prod[7] * parseInt(document.objednavka.ZP.value);
    g_nKusu += parseInt(document.objednavka.ZP.value);
  }

  if(document.objednavka.NZ.value > 0)
  {
    celkem += g_prod[9] * parseInt(document.objednavka.NZ.value);
    g_nKusu += parseInt(document.objednavka.NZ.value);
  }

  if(document.objednavka.Platba.value == "dobirka")
  {
    celkem += g_prod[1];
  }
  else
  {
    celkem += g_prod[3];
  }
  return celkem;
}

// VS den mesic hod min zbytek vypocten z nazvu ulice
function fnGenVarSymbol()
{
  var vs = "", vs1 = 0;
  var oTime = new Date();
  var mesic = oTime.getMonth() + 1;
  vs = oTime.getDate().toString() + mesic.toString();
  vs += (oTime.getHours() < 10) ? ("0" + oTime.getHours().toString()) : oTime.getHours().toString();
  vs += (oTime.getMinutes() < 10) ? ("0" + oTime.getMinutes().toString()) : oTime.getMinutes().toString();

  // prosty soucet z textu ulice
  for (i=0; i < document.objednavka.Ulice.value.length; i++)
  {
   vs1 += document.objednavka.Ulice.value.charCodeAt(i); 
  }

  vs += vs1.toString();

  // zajisti delku alespon 10 
  vs = vs + vs;

  if (vs > 10)
  {
   vs = vs.substring(0,10);
  }

 return vs; 
}



function fnWriteTableLine(sNadpis, sValue)
{
  return "<TR><TD class='odst'>" + sNadpis + "<\/TD><TD class='odst'>" + sValue + "<\/TD><\/TR>";
}

function fnWriteTableLine2(sNadpis, sValue, sColor)
{
  return "<TR bgcolor='" + sColor + "'><TD class='odst'>" + sNadpis + "<\/TD><TD class='odst'>" + sValue + "<\/TD><\/TR>";
}

function fnWriteTableLine3(sVal1, sVal2, sVal3, sColor)
{
  return "<TR bgcolor='" + sColor + "'><TD class='odst'>" + sVal1 + "<\/TD><TD class='odstr'>" + sVal2 + "<\/TD><TD class='odstr'>" + sVal3 + "<\/TD><\/TR>";
}


function fnTiskObjednavky()
{
  var kusu = 0;
  g_nCelkem  = 0;

  if(fnValidateValue("tisk") == false)
    return false;

  if(g_oTiskWindow && !g_oTiskWindow.closed)
    g_oTiskWindow.close();


  g_oTiskWindow = window.open("", "Objednvka", "menubar=yes,toolbar=yes,resizable=yes,scrollbars=yes,width=500,height=530")

  var sHtml = "";
  sHtml += "<HTML><HEAD><META http-equiv='Content-Type' content='text/html; charset=windows-1250'\/><TITLE>Objednvka programu<\/TITLE><LINK rel='stylesheet' href='.\/img\/auStyle.css'\/><\/HEAD><BODY BGCOLOR='WHITE'>";

  sHtml += "<p class='odstb'>Objednvka program</p>";
  
  // seznam produkt
  sHtml += "<TABLE width='100%'>";
  sHtml += "<TR><TD colspan='3' class='odstb'>Produkty<\/TD><\/TR>";

  if(document.objednavka.AU.value > 0)
  {
    sHtml += fnWriteTableLine3(g_prod[4],document.objednavka.AU.value + " ks",g_prod[5]+" K", '#eeeeee');
  }

  if(document.objednavka.ZP.value > 0)
  {
    sHtml += fnWriteTableLine3(g_prod[6],document.objednavka.ZP.value + " ks",g_prod[7]+" K", '#eeeeee');
  }

  if(document.objednavka.NZ.value > 0)
  {
    sHtml += fnWriteTableLine3(g_prod[8],document.objednavka.NZ.value + " ks",g_prod[9]+" K", '#eeeeee');
  }

  if(document.objednavka.Platba.value == "dobirka")
  {
    sHtml += fnWriteTableLine3(g_prod[0],"",g_prod[1]+" K", '#eeeeee');
  }
  else
  {
    sHtml += fnWriteTableLine3(g_prod[2],"",g_prod[3]+" K", '#eeeeee');
  }

  sHtml += fnWriteTableLine3("Celkem",g_nKusu+" ks",g_nCelkem+" K", '#eeeeee');
  sHtml += "<\/TABLE>";

  if(document.objednavka.Platba.value == "prevod")
  {
    sHtml += "<BR/><TABLE width='100%'>";
    sHtml += "<TR><TD colspan='2' class='odstb'>daje pro platbu pevodem na et<\/TD><\/TR>";
    sHtml += fnWriteTableLine2("et:",           g_sCisloUctu, '#eeeeee');
    sHtml += fnWriteTableLine2("Variabiln symbol:", g_sVarSymbol, 'eeeeee');
    sHtml += fnWriteTableLine2("Konstantn symbol:", '0308',       'eeeeee');
    sHtml += fnWriteTableLine2("stka:", g_nCelkem + ' K', 'eeeeee');
    sHtml += "<TR><TD colspan='2' class='odst'>" + g_sPrevodPozn + "<\/TD><\/TR>";
    sHtml += "<\/TABLE>";
  }

  sHtml += "<BR/><TABLE width='100%'>";
  sHtml += "<TR><TD colspan='2' class='odstb'>Fakturan adresa<\/TD><\/TR>";
  if (document.objednavka.Firma.value != "")
  {
    sHtml += fnWriteTableLine("Firma:",   document.objednavka.Firma.value);
  }
  var psc = document.objednavka.PSC.value.substring(0,3) + " " + document.objednavka.PSC.value.substring(3,5); 
  sHtml += fnWriteTableLine("Jmno:",   document.objednavka.Jmeno.value);
  sHtml += fnWriteTableLine("Ulice:",   document.objednavka.Ulice.value);
  sHtml += fnWriteTableLine("Obec:",    document.objednavka.Obec.value);
  sHtml += fnWriteTableLine("PS:",     psc);
  
  if (document.objednavka.IC.value != "")
  {
    sHtml += fnWriteTableLine("I:",      document.objednavka.IC.value);
  }

  if (document.objednavka.DIC.value != "")
  {
    sHtml += fnWriteTableLine("DI:",     document.objednavka.DIC.value);
  }
  
  if (document.objednavka.Tel.value != "")
  {
    sHtml += fnWriteTableLine("Telefon:", document.objednavka.Tel.value);
  }
  
  if (document.objednavka.Fax.value != "")
  {
    sHtml += fnWriteTableLine("Fax:",     document.objednavka.Fax.value);
  }

  if (document.objednavka.Email.value != "")
  {
    sHtml += fnWriteTableLine("E-mail:",  document.objednavka.Email.value);
  }
  
  sHtml += fnWriteTableLine("Platba:",  document.objednavka.Platba.value);
  sHtml += "<\/TABLE><BR>";

  if (document.objednavka.FirmaDod.value != "" || document.objednavka.JmenoDod.value != "")
  {
    sHtml += "<BR/><TABLE width='100%'>";
    sHtml += "<TR><TD colspan='2' class='odstb'>Dodac adresa<\/TD><\/TR>";
    sHtml += fnWriteTableLine("Firma:",   document.objednavka.FirmaDod.value);
    sHtml += fnWriteTableLine("Jmno:",   document.objednavka.JmenoDod.value);
    sHtml += fnWriteTableLine("Ulice:",   document.objednavka.UliceDod.value);
    sHtml += fnWriteTableLine("Obec:",    document.objednavka.ObecDod.value);
    psc = document.objednavka.PSCDod.value.substring(0,3) + " " + document.objednavka.PSCDod.value.substring(3,5); 
    sHtml += fnWriteTableLine("PS:",     psc);
  }
  sHtml += "<\/TABLE>";

  sHtml += "<\/BODY><\/HTML>";

  g_oTiskWindow.document.write(sHtml);
  g_oTiskWindow.document.close();
  g_oTiskWindow.focus();
}

function fnSetAction()
{
  if(fnValidateValue() == false)
    return false;

  var sAction="mailto:info@turbina.cz?subject=Objednavka";
  sAction += "&body=" + document.body.value;
  document.objednavka.action=sAction;

  var sTxt = "\n\n------------------------------";
  var sXml = "";

  sXml += "<objednavka>";
  sTxt += "\nObjednvka program\n";
  if (document.objednavka.AU.value != "")
  {
    sXml += "<produkt name='AUTOUNIVERZITA'>"  + document.objednavka.AU.value    + "</produkt>";
    sTxt += "\nProgram AUTOUNIVERZITA " + document.objednavka.AU.value + " ks v cen " + g_prod[5] + " K/ks.";
  }

  if (document.objednavka.ZP.value != "")
  {
    sXml += "<produkt name='ZP'>"  + document.objednavka.ZP.value    + "</produkt>";
    sTxt += "\nProgram Zbrojn prkaz " + document.objednavka.ZP.value + " ks v cen " + g_prod[7] + " K/ks.";
  }

  if (document.objednavka.NZ.value != "")
  {
    sXml += "<produkt name='NZ'>"  + document.objednavka.NZ.value    + "</produkt>";
    sTxt += "\nKolem kolem Novho Zlandu " + document.objednavka.NZ.value + " ks v cen " + g_prod[9] + " K/ks.";
  }

  if(document.objednavka.Platba.value == "dobirka")
  {
    sXml += "<produkt name='Poplatek dobrka'>1</produkt>";
    sTxt += "\nPlatba dobrkou - poplatek " + g_prod[1] + " K.";
  }

  if(document.objednavka.Platba.value == "faktura")
  {
    sXml += "<produkt name='Poplatek zsilka'>1</produkt>";
    sTxt += "\nPlatba zlohovou fakturou - poplatek " + g_prod[3] + " K.";
  }

  if(document.objednavka.Platba.value == "prevod")
  {
    sXml += "<produkt name='Poplatek zsilka'>1</produkt>";
    sTxt += "\nPlatba pevodem na et - poplatek " + g_prod[3] + " K.";
    sTxt += "\nslo tu: " + g_sCisloUctu;
    sTxt += "\nVariabiln symbol: " + g_sVarSymbol;
    sTxt += "\nKonstantn symbol: " + g_sKonstSymbol;
  }
  
  sTxt += "\n\nCelkem " + g_nCelkem + " K";
  sTxt += "\n------------------------------\n\n\n";


  sXml += "<jmeno>"     + document.objednavka.Jmeno.value    + "</jmeno>";
  sXml += "<ulice>"     + document.objednavka.Ulice.value    + "</ulice>";
  sXml += "<obec>"      + document.objednavka.Obec.value     + "</obec>";
  sXml += "<psc>"       + document.objednavka.PSC.value      + "</psc>";
  sXml += "<telefon>"   + document.objednavka.Tel.value      + "</telefon>";
  sXml += "<fax>"       + document.objednavka.Fax.value      + "</fax>";
  sXml += "<email>"     + document.objednavka.Email.value    + "</email>";
  sXml += "<firma>"     + document.objednavka.Firma.value    + "</firma>";
  sXml += "<ic>"        + document.objednavka.IC.value       + "</ic>";
  sXml += "<dic>"       + document.objednavka.DIC.value      + "</dic>";
  sXml += "<firmadod>"  + document.objednavka.FirmaDod.value + "</firmadod>";
  sXml += "<jmenodod>"  + document.objednavka.JmenoDod.value + "</jmenodod>";
  sXml += "<ulicedod>"  + document.objednavka.UliceDod.value + "</ulicedod>";
  sXml += "<obecdod>"   + document.objednavka.ObecDod.value  + "</obecdod>";
  sXml += "<pscdod>"    + document.objednavka.PSCDod.value   + "</pscdod>";
  sXml += "<platba>"    + document.objednavka.Platba.value   + "</platba>";
  sXml += "<celkem>"    + g_nCelkem                 + "</celkem>";
  sXml += "<varsymbol>" + g_sVarSymbol              + "</varsymbol>";
  sXml += "</objednavka>";
  document.objednavka.xml.value = sXml;
  document.objednavka.popis.value = sTxt;
}

